import ViewMessageService from '../view-message-service';
/**
 * 扩展编辑器视图消息服务对象基类
 * 基于 APP/src/message/%APP_MSG%/%APP_MSG%-message-base.ts.ftl 生成
 * @export
 * @class ViewMsg65MessageServiceBase
 */
export default class ViewMsg65MessageServiceBase extends ViewMessageService {


    /**
     * Creates an instance of  ViewMsg65MessageServiceBase.
     * 
     * @param {*} [opts={}]
     * @memberof  ViewMsg65MessageServiceBase
     */
    constructor(opts: any = {}) {
        super(opts);
    }

    /**
     * 初始化基础参数
     * 
     * @memberof ViewMsg65MessageServiceBase
     */
    public initBasicParam(){
        this.id = "d92bf51c2c26dc00ff2f3038ea145ce6";
        this.name = "扩展编辑器";
        this.codename = "ViewMsg65";
        this.title = "";
        this.content = "本示例展示扩展编辑器的呈现样式。";
        this.closeMode = 0;
        this.position = "TOP";
        this.type = "error";
        this.isEnableRemove = false;
        this.order = 1;
        this.dynamicMode = "STATIC";
        this.hasMessageTemp = false;
        this.messageType = "TEXT";
    }

    /**
     * 转化消息模板标题和内容
     *      
     * @target {*} target 返回目标数据
     * @param {*} context 应用上下文
     * @param {*} viewparam 视图参数
     * @param {*} item 源数据
     * 
     * @memberof ViewMsg65MessageServiceBase
     */
    public translateMessageTemp(target:any,context:any,viewparam:any,item?:any){
        if(this.hasMessageTemp && Object.is(this.messageType,"HTML")){
            Object.assign(target,{title:``});
            Object.assign(target,{content:``});
        }
        if(this.hasMessageTemp && Object.is(this.messageType,"TEXT")){
            Object.assign(target,{title:""});
            Object.assign(target,{content:""});
        }
    }

}